/* Example: draws a Christmas card */ 
/* Function calling another function */

#include <stdio.h>

void draw_tree(void);          /* draws a tree */
void starline(int sp, int st); /* prints sp spaces then st stars */


main()
{
  draw_tree();
  puts(" Merry Christmas!");
}


void draw_tree(void)  /* draws a tree */
{
  int i;
  
  for (i = 1; i < 19; i += 2)
      starline(9 - i/2, i);
  for (i = 1; i < 3; i++)
      starline(9, 1);
  for (i = 7; i > 1; i -= 2)
    starline(9 - i/2, i);
  putchar('\n');

  return;
}


void starline(int sp, int st)  /* prints sp spaces then st stars */
{
  while (sp-- > 0)
    putchar(' ');
    
  while (st-- > 0)
    putchar('*');
    
  putchar('\n');
  return;
}
